跳到正文

chain_api.push_block ​

disabled

The chain_api plugin is defined in source but not enabled on public nodes; the namespace is not registered.

Purpose ​

不可用: chain_api 插件在源码中仍有定义,但未在公共节点启用——命名空间未注册。

向节点推送区块。

参数:block:object(已签名区块);currently_syncing:bool(可选,默认 false)

返回 success:bool,失败时附带 error:string。

Parameters ​

PARAMETERS
json
{
  "block": {},
  "currently_syncing": false
}

⚠ 该方法在 steem 源码中有定义,但公共节点未启用。

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "chain_api.push_block",
    "params": {
      "block": {},
      "currently_syncing": false
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "success": true,
  "error": null
}

Expected curl responses ​

EXPECTED RESPONSES
text
Could not find API chain_api